Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class SElement

    java.lang.Object
      SEdit.SElement

Direct Known Subclasses:
  SArrow, SNode

    public abstract class SElement

extends java.lang.Object

SElement is the abstract class for structure elements. The ID is the essential identification field in structure elements. ID *must* be unique in a given structure, and it is strongly advised that they are *globally* unique too. The current ID scheme keep a local naming principle, but this is likely to change in the future (switch to AgentAddress)

Version:
  2.0

Field Summary
`protected java.lang.String` | `comment` The element comment (mutable)
`protected ElementDesc` | `descriptor`
`protected GObject` | `element`
`protected java.lang.String` | `id`
`protected java.lang.String` | `label` The element label (mutable)
`boolean` | `persistent`
`protected Structure` | `structure`

Constructor Summary
`SElement()`

Method Summary
`void` | `delete()`
`void` | `dump()`
`java.lang.String` | `getComment()`
`ElementDesc` | `getDescriptor()` Access to an element descriptor
`GObject` | `getGObject()`
`java.lang.String` | `getID()`
`java.lang.String` | `getLabel()`
`Structure` | `getStructure()`
`void` | `init()` Initialization method called at the end of the creation of an element.
`abstract void` | `initGraphics(java.util.Hashtable properties)`
`void` | `inspect()`
`void` | `setComment(java.lang.String value)`
`void` | `setDescriptor(ElementDesc d)`
`void` | `setGObject(GObject value)`
`void` | `setID(java.lang.String value)` Set the element ID.
`void` | `setLabel(java.lang.String value)`
`void` | `setStructure(Structure _structure)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### structure

    protected Structure structure

### id

    protected java.lang.String id

### label

    protected java.lang.String label

  The element label (mutable)

### comment

    protected java.lang.String comment

  The element comment (mutable)

### descriptor

    protected ElementDesc descriptor

### element

    protected GObject element

### persistent

    public boolean persistent

Constructor Detail

### SElement

    public SElement()

Method Detail

### setStructure

    public void setStructure(Structure _structure)

### getStructure

    public Structure getStructure()

### initGraphics

    public abstract void initGraphics(java.util.Hashtable properties)

### delete

    public void delete()

### setID

    public void setID(java.lang.String value)

  Set the element ID. Warning: the element ID must be treated as immutable anyway.

### getID

    public java.lang.String getID()

### setLabel

    public void setLabel(java.lang.String value)

### getLabel

    public java.lang.String getLabel()

### setComment

    public void setComment(java.lang.String value)

### getComment

    public java.lang.String getComment()

### setDescriptor

    public void setDescriptor(ElementDesc d)

### getDescriptor

    public ElementDesc getDescriptor()

  Access to an element descriptor

### setGObject

    public void setGObject(GObject value)

### getGObject

    public GObject getGObject()

### init

    public void init()

  Initialization method called at the end of the creation of an element. By default do nothing

### dump

    public void dump()

### inspect

    public void inspect()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.